{
  flake,
  osConfig,
  ...
}:
let
  inherit (flake.config.machines.devices) deimos;
  hostname = osConfig.networking.hostName;
in
{
  services.wpaperd = {
    enable = true;
    settings = {
      "default" = {
        path = "~/.config/wallpaper";
        apply-shadow = true;
        duration = "1m";
        sorting = "random";
      }
      // (if hostname == deimos.name then { mode = "center"; } else { });
    };
  };
}
